import http from '@/utils/request'
// import md5 from 'md5'
// const isDev = process.env.NODE_ENV === 'development'
// 登录
export function login (params) {
  return http.post('/admin/auth/login', { data: params })
}

// 获取权限信息
export function getAuthorizationInfo () {
  return http.post('/admin/auth/getCurrent')
}

// 修改密码
export function updatePassword (params) {
  return http.post('/admin/auth/updatePassword', { data: params })
}

// 退出
export function logout () {
  return http.post('/admin/auth/logout')
}

// 是否短信验证
export function authsmsneed () {
  return http.post('/admin/auth/authsmsneed')
}

// 发送验证码
export function authsmssend (params) {
  return http.post('/admin/auth/authsmssend', params)
}
